%global pkg_name        WebService-Audioscrobbler
%global pkg_version     0.07
%global rpm_pkg_version 0.07
%global rpm_pkg_release 1.n0i.1

Summary:       An object-oriented interface to the Audioscrobbler WebService API
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/WebService/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp)
BuildRequires: perl(CLASS)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Class::Data::Accessor)
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(NEXT)
BuildRequires: perl(Test::More)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(XML::Simple)


%description
WebService::Audioscrobbler aims to be a full implementation of a
an object-oriented interface to the Audioscrobbler WebService API
(as available on http://www.audioscrobbler.net/data/webservices/ ).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}
%{fix_encoding README}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Oct 19 2007 Marius Feraru <altblue@n0i.net> - 0.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.07
